## org.eclipse.wst.ws.service.policy
Interface IPolicyEnumerationList

All Known Implementing Classes:
  PolicyEnumerationListImpl

    public interface IPolicyEnumerationList

This interface encapsulates the combination of a policy and a list of state enumeration items. This interface is used with the IPolicyRelationship interface.

Method Summary
`java.util.List<IStateEnumerationItem>` `getEnumerationList()` Returns the state enumeration list items.
`IServicePolicy` `getPolicy()` Returns the service policy for this list.

Method Detail

### getPolicy

    IServicePolicy getPolicy()

  Returns the service policy for this list.

  Returns:
    returns a service policy.

### getEnumerationList

    java.util.List<IStateEnumerationItem> getEnumerationList()

  Returns the state enumeration list items.

  Returns:
    returns a list of state enumeration items.